<?php
/*
 * Phamm - http://phamm.rhx.it - <phamm@rhx.it>
 * Copyright (C) 2004,2005 Alessandro De Zorzi and Mirko Grava
 *
 * This file is part of Phamm.
 *  
 * Phamm is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Phamm is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
* Check if the password is valid
*
* @package Phamm
* @author Alessandro De Zorzi <adezorzi@rhx.it>
*
* @param string $password1
* @param string $password2
* @return bool
**/

function password_valid ($password1, $password2)
{
    global $connect;
    global $LDAP_BASE;
    global $action;

    if ($password1 == $password2)
    {
        if ($action == 'add_alias')
        {
            return TRUE;
        }

        elseif (strlen($password1) >= PASSWORD_MIN_LENGHT)
        {
            return TRUE;
        }

        else
        {
            return FALSE;
        }
    }

    else
    {
        return FALSE;
    }

}
?>
